## org.eclipse.jst.jsf.facesconfig.emf
Interface IconType

All Known Implementing Classes:
  IconTypeImpl

    public interface IconType

A representation of the model object 'Icon Type'.

The following features are supported:

- `Small Icon`
- `Large Icon`
- `Lang`
- `Id`

See Also:
  `FacesConfigPackage.getIconType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`java.lang.String` `getLang()` Returns the value of the 'Lang' attribute
`LargeIconType` `getLargeIcon()` Returns the value of the 'Large Icon' containment reference
`SmallIconType` `getSmallIcon()` Returns the value of the 'Small Icon' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setLang(java.lang.String value)` Sets the value of the '`Lang`' attribute
`void` `setLargeIcon(LargeIconType value)` Sets the value of the '`Large Icon`' containment reference
`void` `setSmallIcon(SmallIconType value)` Sets the value of the '`Small Icon`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSmallIcon

    SmallIconType getSmallIcon()

  Returns the value of the 'Small Icon' containment reference.

  If the meaning of the 'Small Icon' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Small Icon' containment reference.
  See Also:
    `setSmallIcon(SmallIconType)`, `FacesConfigPackage.getIconType_SmallIcon()`

### setSmallIcon

    void setSmallIcon(SmallIconType value)

  Sets the value of the '`Small Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Small Icon' containment reference.
  See Also:
    `getSmallIcon()`

### getLargeIcon

    LargeIconType getLargeIcon()

  Returns the value of the 'Large Icon' containment reference.

  If the meaning of the 'Large Icon' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Large Icon' containment reference.
  See Also:
    `setLargeIcon(LargeIconType)`, `FacesConfigPackage.getIconType_LargeIcon()`

### setLargeIcon

    void setLargeIcon(LargeIconType value)

  Sets the value of the '`Large Icon`' containment reference.

  Parameters:
    `value` - the new value of the 'Large Icon' containment reference.
  See Also:
    `getLargeIcon()`

### getLang

    java.lang.String getLang()

  Returns the value of the 'Lang' attribute.

  If the meaning of the 'Lang' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Lang' attribute.
  See Also:
    `setLang(String)`, `FacesConfigPackage.getIconType_Lang()`

### setLang

    void setLang(java.lang.String value)

  Sets the value of the '`Lang`' attribute.

  Parameters:
    `value` - the new value of the 'Lang' attribute.
  See Also:
    `getLang()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getIconType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`